package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.HolidayCompany;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface HolidayCompanyDAO {
	int insert(HolidayCompany entity);
	int update(HolidayCompany entity);
	int exist(String id);
	HolidayCompany get(String id);
	int delete(String id);
	List<HolidayCompany> list();
	List<HolidayCompany> findByHolidayId(String holidayId);
	List<HolidayCompany> search(Map<String, Object> searchParams, List<Sort> sortList);
    int existHoliday(String companyId, String dateStr);
}